Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160706 - /var/lock: mkdir failed
Summary: /var/lock: mkdir failed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lvm2
Version: 4
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Alasdair Kergon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-16 19:46 UTC by Thomas Antony
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-30 12:55:54 UTC


Attachments (Terms of Use)

Description Thomas Antony 2005-06-16 19:46:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; de-DE; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I get following message when i boot FC4:

Setting up Logical Volume Management: /var/lock: mkdir failed
Read only filesystem

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Fresh FC4 installation
2. boot

  

Additional info:

Comment 1 Alasdair Kergon 2005-06-16 20:01:47 UTC
Context?  Where exactly in the boot sequence?  What configuration? - Is your
root filesystem on a logical volume or not?

Comment 2 Alasdair Kergon 2005-06-16 20:02:47 UTC
Is /var separate?

Comment 3 Alasdair Kergon 2005-06-16 20:04:39 UTC
And does it boot correctly or not?

Comment 4 Thomas Antony 2005-06-17 08:05:38 UTC
It happens after "Setting Hostname" when the LV's are configured.
Setting up Logical Volume Management: /var/lock: mkdir failed Read only filesystem
FC4 boots without problems.

/dev/mapper/VolGroup00-LogVol00 on / type xfs (rw)
/dev/proc on /proc type proc (rw)
/dev/sys on /sys type sysfs (rw)
/dev/devpts on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/sda1 on /boot type xfs (rw)
/dev/shm on /dev/shm type tmpfs (rw)
/dev/mapper/VolGroup00-LogVol06 on /home type xfs (rw)
/dev/mapper/VolGroup00-LogVol03 on /tmp type xfs (rw)
/dev/mapper/VolGroup00-LogVol04 on /usr type xfs (rw)
/dev/mapper/VolGroup00-LogVol05 on /usr/games type xfs (rw)
/dev/mapper/VolGroup00-LogVol01 on /var type xfs (rw)
/dev/mapper/VolGroup00-LogVol02 on /var/tmp type xfs (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
automount(pid2392) on /misc type autofs (rw,fd=4,pgrp=2392,minproto=2,maxproto=4)
automount(pid2427) on /net type autofs (rw,fd=4,pgrp=2427,minproto=2,maxproto=4)

Comment 5 Martin A. Boegelund 2005-08-08 11:24:22 UTC
I have experienced the exact same thing on my fresh installation of FC4,
symptoms match descriptions above.
I have /var and / on a separate, logical partitions (on /dev/hda), and FC4 boots
otherwise correctly.

Comment 6 Martin A. Boegelund 2005-08-11 18:50:52 UTC
... mount of / and /var:
/dev/hda14 on / type ext3 (rw)
/dev/hda12 on /var type ext3 (rw)


Comment 7 Marcel Nijenhof 2005-08-20 06:59:47 UTC
I have the same problem with /var on lvm.

Comment 8 Alasdair Kergon 2005-08-30 12:55:54 UTC
I believe this is now fixed - please reopen if you find the problem in 2.01.14
or later.


Note You need to log in before you can comment on or make changes to this bug.